Bug 205531 - Make Parsing API a public API
Make Parsing API a public API
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Parsing & Indexing
7.1
All All
: P2 (vote)
: 7.1
Assigned To: Tomas Zezula
issues@editor
: 71_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-24 15:51 UTC by Tomas Zezula
Modified: 2011-11-29 08:46 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2011-11-24 15:51:12 UTC
The parsing API stability is marked still "devel" should be changed to "public" as it's already a public API for several years.
Comment 1 Jaroslav Tulach 2011-11-25 10:26:28 UTC
Right move. I am looking forward to see parsing API on 7.1 javadoc site: http://bits.netbeans.org/7.1/javadoc/ (after release).
Comment 2 Tomas Zezula 2011-11-26 09:24:31 UTC
Fixed jet-main 9efe1d61d7d0
Comment 3 Tomas Zezula 2011-11-26 09:28:45 UTC
Transplanted into release71 c6e014c7ca4c
Comment 4 Quality Engineering 2011-11-26 17:01:13 UTC
Integrated into 'main-golden', will be available in build *201111260600* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/9efe1d61d7d0
User: Tomas Zezula <tzezula@netbeans.org>
Log: #205531:Make Parsing API a public API
Comment 5 Quality Engineering 2011-11-29 08:46:08 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/c6e014c7ca4c
User: Tomas Zezula <tzezula@netbeans.org>
Log: #205531:Make Parsing API a public API


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo